Bug 475759 - xorg crash (with server stuck in an infinite loop)
xorg crash (with server stuck in an infinite loop)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 06:14 EST by Artem
Modified: 2009-11-19 20:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 20:44:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (452.43 KB, text/plain)
2008-12-10 06:14 EST, Artem
no flags Details
xorg log (98.33 KB, text/plain)
2008-12-28 09:14 EST, Adam Pribyl
no flags Details
intel-945GM-infinite-loop.patch (210.86 KB, text/plain)
2009-04-24 03:09 EDT, Mark McLoughlin
no flags Details

  None (edit)
Description Artem 2008-12-10 06:14:42 EST
Created attachment 326489 [details]
xorg.log

Description of problem:
xorg crashes with an infinite loop

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.5.0-4
kernel-2.6.27.7-134

How reproducible:
Don't know what's happened



Additional info:
(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on back buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on depth buffer: rejected by kernel
...

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/X(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/X(xf86PostMotionEventP+0xc4) [0x491494]
3: /usr/bin/X(xf86PostMotionEvent+0xa9) [0x491669]
4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x7fbb720b5126]
5: /usr/bin/X [0x47a765]
6: /usr/bin/X [0x46b307]
7: /lib64/libc.so.6 [0x337da32f60]
8: /lib64/libc.so.6(ioctl+0x7) [0x337daddff7]
9: /usr/lib64/libdrm.so.2 [0x338f203023]
10: /usr/lib64/libdrm.so.2(drmCommandWrite+0x1b) [0x338f2032ab]
11: /usr/lib64/xorg/modules/drivers//intel_drv.so(I830Sync+0x118) [0x7fbb8434dd38]
12: /usr/lib64/xorg/modules//libexa.so(exaWaitSync+0x5c) [0x7fbb833f929c]
13: /usr/lib64/xorg/modules//libexa.so(ExaDoPrepareAccess+0x91) [0x7fbb833fa591]
14: /usr/lib64/xorg/modules//libexa.so [0x7fbb833ff749]
15: /usr/lib64/xorg/modules//libexa.so [0x7fbb833ffc7f]
16: /usr/lib64/xorg/modules//libexa.so(exaDoMigration+0x68f) [0x7fbb8340046f]
17: /usr/lib64/xorg/modules//libexa.so(exaCopyNtoN+0x3fd) [0x7fbb833fd2bd]
18: /usr/lib64/xorg/modules//libfb.so(fbCopyRegion+0x210) [0x7fbb836194a0]
19: /usr/lib64/xorg/modules//libfb.so(fbDoCopy+0x443) [0x7fbb83619a03]
20: /usr/lib64/xorg/modules//libexa.so(exaCopyArea+0xbc) [0x7fbb833fce3c]
21: /usr/bin/X [0x52b452]
22: /usr/bin/X(ProcCopyArea+0x13c) [0x444dec]
23: /usr/bin/X(Dispatch+0x364) [0x4468d4]
24: /usr/bin/X(main+0x45d) [0x42cd1d]
25: /lib64/libc.so.6(__libc_start_main+0xe6) [0x337da1e546]
26: /usr/bin/X [0x42c0f9]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
...
Comment 1 Hedayat Vatankhah 2008-12-15 03:44:22 EST
With the latest F10 kernel (kernel-2.6.27.7-134), My X server crashes too. (I use an Intel 965 graphic card). I don't know if it is the same problem or not. But I don't see this problem with kernel-2.6.27-117.
Comment 2 Matěj Cepl 2008-12-19 17:33:58 EST
Looks like a kernel bug to me, right?

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/X(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/X(xf86PostMotionEventP+0xc4) [0x491494]
3: /usr/bin/X(xf86PostMotionEvent+0xa9) [0x491669]
4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x7fbb720b5126]
5: /usr/bin/X [0x47a765]
6: /usr/bin/X [0x46b307]
7: /lib64/libc.so.6 [0x337da32f60]
8: /lib64/libc.so.6(ioctl+0x7) [0x337daddff7]
9: /usr/lib64/libdrm.so.2 [0x338f203023]
10: /usr/lib64/libdrm.so.2(drmCommandWrite+0x1b) [0x338f2032ab]
11: /usr/lib64/xorg/modules/drivers//intel_drv.so(I830Sync+0x118) [0x7fbb8434dd38]
12: /usr/lib64/xorg/modules//libexa.so(exaWaitSync+0x5c) [0x7fbb833f929c]
13: /usr/lib64/xorg/modules//libexa.so(ExaDoPrepareAccess+0x91) [0x7fbb833fa591]
14: /usr/lib64/xorg/modules//libexa.so [0x7fbb833ff749]
15: /usr/lib64/xorg/modules//libexa.so [0x7fbb833ffc7f]
16: /usr/lib64/xorg/modules//libexa.so(exaDoMigration+0x68f) [0x7fbb8340046f]
17: /usr/lib64/xorg/modules//libexa.so(exaCopyNtoN+0x3fd) [0x7fbb833fd2bd]
18: /usr/lib64/xorg/modules//libfb.so(fbCopyRegion+0x210) [0x7fbb836194a0]
19: /usr/lib64/xorg/modules//libfb.so(fbDoCopy+0x443) [0x7fbb83619a03]
20: /usr/lib64/xorg/modules//libexa.so(exaCopyArea+0xbc) [0x7fbb833fce3c]
21: /usr/bin/X [0x52b452]
22: /usr/bin/X(ProcCopyArea+0x13c) [0x444dec]
23: /usr/bin/X(Dispatch+0x364) [0x4468d4]
24: /usr/bin/X(main+0x45d) [0x42cd1d]
25: /lib64/libc.so.6(__libc_start_main+0xe6) [0x337da1e546]
26: /usr/bin/X [0x42c0f9]
Comment 3 Hedayat Vatankhah 2008-12-20 17:36:51 EST
I think this bug (at least for me) is related to this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=471937
Comment 4 Adam Pribyl 2008-12-28 09:14:57 EST
Created attachment 327899 [details]
xorg log

Just adding "me too", with log.  The backtrace is bit different. I am having seldom xorg crashes, often followed by screen filled with colored vertical strips and total hang.
Comment 5 Artem 2009-02-19 13:58:08 EST
Got this again with ati video, backtrace is therefore a bit different:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7b66]
1: /usr/bin/X(mieqEnqueue+0x291) [0x4c86a1]
2: /usr/bin/X(xf86PostMotionEventP+0xc4) [0x490e94]
3: /usr/bin/X(xf86PostMotionEvent+0xa9) [0x491069]
4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x7f1b08a7c472]
5: /usr/bin/X [0x47d745]
6: /usr/bin/X [0x4691f7]
7: /lib64/libc.so.6 [0x3543832f90]
8: /lib64/libc.so.6(memcpy+0xd2) [0x35438842a2]
9: /usr/lib64/xorg/modules//libfb.so(fbBlt+0xbbc) [0x7f1b0d19629c]
10: /usr/lib64/xorg/modules//libfb.so(fbBltStip+0x40) [0x7f1b0d196510]
11: /usr/lib64/xorg/modules//libfb.so(fbGetImage+0x288) [0x7f1b0d19b698]
12: /usr/lib64/xorg/modules//libexa.so(exaGetImage+0x173) [0x7f1b0cf7b063]
13: /usr/bin/X [0x4d6f7d]
14: /usr/bin/X(ProcGetImage+0x5bf) [0x444a3f]
15: /usr/bin/X(Dispatch+0x364) [0x4468d4]
16: /usr/bin/X(main+0x45d) [0x42cd1d]
17: /lib64/libc.so.6(__libc_start_main+0xe6) [0x354381e576]
18: /usr/bin/X [0x42c0f9]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
...


Again X server goes into infinite loop.
Looks like component should be changed, but I don't know to which, please take care.
Comment 6 Mark McLoughlin 2009-04-24 03:09:44 EDT
Created attachment 341107 [details]
intel-945GM-infinite-loop.patch

Just got a hang with a very similar backtrace to the first one in this bug.

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812be9b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b599]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4282]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43e8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0x310d25]
5: /usr/bin/Xorg [0x80bcdd7]
6: /usr/bin/Xorg [0x80ac93e]
7: [0xe88400]
8: [0xe88416]
9: /lib/libc.so.6(ioctl+0x19) [0x201979]
10: /usr/lib/libdrm.so.2 [0x596c6cf]
11: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x596c984]
12: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0xe10ca5]
13: /usr/lib/xorg/modules/drivers//intel_drv.so [0xe3a97a]
14: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0x301095]
15: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0x3023ae]
16: /usr/lib/xorg/modules//libexa.so [0x3073b2]
17: /usr/lib/xorg/modules//libexa.so [0x307905]
18: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0x3080c2]
19: /usr/lib/xorg/modules//libexa.so(exaCopyNtoN+0x3f1) [0x304fd1]
20: /usr/lib/xorg/modules//libexa.so(exaComposite+0x90e) [0x30a4de]


kernel-2.6.29.1-30.fc10.i686
xorg-x11-drv-i810-2.5.0-4.fc10.i386
xorg-x11-server-Xorg-1.5.3-15.fc10.i386


No particular reproducer. First time seeing it. Been running this kernel for a week now and the xorg packages haven't been updated recently.
Comment 7 Eric Donkersloot 2009-04-28 06:59:04 EDT
This sounds like a duplicate of bug 464866
Comment 8 Matěj Cepl 2009-04-28 12:37:01 EDT
(In reply to comment #7)
> This sounds like a duplicate of bug 464866  

No, it isn't, or it is, or something else ... bug 464866 is totally meaningless now, because that error message is completely generic and means nothing (see bug 464866 comment 49), so anything bad happening to X is stuffed there.
Comment 9 Vedran Miletić 2009-11-05 18:12:00 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Artem 2009-11-06 05:32:52 EST
I have not experienced this bug on neither F12 nor F11 for a long time already, if someone does - please post
Comment 11 Bug Zapper 2009-11-18 02:48:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Hedayat Vatankhah 2009-11-18 17:03:32 EST
I have no problems too.
Comment 13 Matěj Cepl 2009-11-19 20:44:25 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.